Loading...
Searching...
No Matches
flowgraph.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/basic_block.h>`
`#include <gnuradio/io_signature.h>`
Include dependency graph for flowgraph.h:

Go to the source code of this file.

## Classes

class | gr::endpoint
| Class representing a specific input or output graph endpoint. More...
class | gr::msg_endpoint
class | gr::edge
| Class representing a connection between to graph endpoints. More...
class | gr::msg_edge
| Class representing a msg connection between to graph msg endpoints. More...
class | gr::flowgraph
| Class representing a directed, acyclic graph of basic blocks. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Typedefs

typedef std::vector< endpoint > | gr::endpoint_vector_t
typedef std::vector< endpoint >::iterator | gr::endpoint_viter_t
typedef std::vector< edge > | gr::edge_vector_t
typedef std::vector< edge >::iterator | gr::edge_viter_t
typedef std::vector< msg_edge > | gr::msg_edge_vector_t
typedef std::vector< msg_edge >::iterator | gr::msg_edge_viter_t

## Functions

GR_RUNTIME_API flowgraph_sptr | gr::make_flowgraph ()
std::ostream & | gr::operator<< (std::ostream &os, const endpoint endp)
std::ostream & | gr::operator<< (std::ostream &os, const edge edge)
std::ostream & | gr::operator<< (std::ostream &os, const msg_endpoint endp)
std::ostream & | gr::operator<< (std::ostream &os, const msg_edge edge)
std::string | gr::dot_graph_fg (flowgraph_sptr fg)